ow=\watcom
vc=\msvc
inc=..\..\inc
lib=..\..\lib

!include co.mif

!ifdef CXX
ac=asm -q -X -coff -Zi -DDEBUG -I$(inc)
..\..\dz.exe: $(objs)
 link /debug /map /libpath:$(vc)\lib /subsystem:console /out:$@ @<<
$(lib)\c0.obj
$(objs)
$(lib)\cfdz.lib
<<
!else
ac=asm -q -I$(inc)
..\..\dz.exe: $(objs)
 jwlink @<<
Name $@
op stub=..\dos\dz.exe
op quiet, map, stack=0x10000, heapsize=0x40000 com stack=0x1000
File { $(lib)\o0.obj $(objs) }
LIBPath $(ow)\lib386\nt
Library $(lib)\ofdz.lib
<<
 wrc -q res\dz.res $@
!endif
 del *.obj

!include cc.mif

cc.mif:
!ifdef CXX
  ..\list\list.exe -hobjs=\\ -q -r -y co.mif *.asm " %n.obj \\\n"
  ..\list\list.exe -q -r -y -xd cc.mif *.asm "%n.obj:\n $$(ac) %f\n"
!else
  ..\list\list.exe -hobjs=& -q -r -y co.mif *.asm " %n.obj &\n"
  ..\list\list.exe -q -r -y -xp cc.mif *.asm "%n.obj:\n $$(ac) %f\n"
!endif
